Queries the global API MCP Server configuration for a user. The configuration includes settings for public network access and the whitelist of source VPC IDs for requests from a VPC.
Try it now
Test
RAM authorization
|
Action |
Access level |
Resource type |
Condition key |
Dependent action |
|
openapiexplorer:GetApiMcpServerUserConfig |
get |
*All Resource
|
None | None |
Request syntax
GET /userconfig/get HTTP/1.1
Request parameters
|
Parameter |
Type |
Required |
Description |
Example |
No parameters required.
Response elements
|
Element |
Type |
Description |
Example |
|
object |
The response body. |
||
| requestId |
string |
The request ID. |
A707AFA8-1A4C-5B2A-A165-8436C1EA38DB |
| accountId |
string |
The ID of your Alibaba Cloud account. |
162302724684579* |
| enablePublicAccess |
boolean |
Specifies whether to enable public network access for all API MCP Servers, including system MCP Servers, under your account. By default, this feature is enabled. If you disable it, you can access the servers only through VPC domain names. |
true |
| vpcWhitelists |
array |
The whitelist of source VPCs that are allowed to send requests after public network access is disabled. If you do not set this parameter or leave it empty, requests from all sources are allowed. |
|
|
string |
The ID of a source VPC in the whitelist. |
vpc-j6cgd2if5lg**0xs6m5se |
|
| gmtCreate |
string |
The time when the configuration was created. |
2025-11-10T06:58:39Z |
| gmtModified |
string |
The time when the configuration was last updated. |
2025-11-10T06:58:39Z |
Examples
Success response
JSON format
{
"requestId": "A707AFA8-1A4C-5B2A-A165-8436C1EA38DB",
"accountId": "162302724684579*",
"enablePublicAccess": true,
"vpcWhitelists": [
"vpc-j6cgd2if5lg**0xs6m5se"
],
"gmtCreate": "2025-11-10T06:58:39Z",
"gmtModified": "2025-11-10T06:58:39Z"
}
Error codes
See Error Codes for a complete list.
Release notes
See Release Notes for a complete list.